import Ember from 'ember'
import layout from '../templates/components/en-options-wrapper'

import groupBy from 'en-select/utils/group-by'

const {
  get,
  Component,
  computed,
} = Em

export default Component.extend({
  layout,

  classNames: ['en-select-options'],
  classNameBindings: ['isClosing:is-closing', 'isFixed:is-fixed', 'fromBottom:from-bottom:from-top'],
  attributeBindings: ['role', 'style'],

  fromBottom: false,

  role: 'listbox',
  style: null,

  groupedOptions: computed('options', 'groupByPath', function () {
    let options = get(this, 'options')
    let groupByPath = get(this, 'groupByPath')

    return groupBy(options, groupByPath)
  })
})
