import Em from 'ember'
import Selectable from 'en-select/mixins/selectable'

const {
  Component,
  setProperties
} = Em

export default Component.extend(Selectable, {
  classNames: ['en-select'],
  classNameBindings: ['isOpen:is-open', 'isDisabled:is-disabled', 'hasSelections:has-selections'],

  multiple: false,

  init () {
    this._super(...arguments)

    setProperties(this, {
      multiple: false
    })
  }
})
