import Em from 'ember'
import Selectable from 'en-select/mixins/selectable'

const {
  setProperties,
  Component
} = Em

export default Component.extend(Selectable, {
  classNames: ['en-select', 'en-multi-select'],
  classNameBindings: ['isOpen:is-open', 'isDisabled:is-disabled', 'hasSelections:has-selections'],

  multiple: true,

  init () {
    this._super(...arguments)

    setProperties(this, {
      multiple: true
    })
  }
})
